autofs-5.0.8 - fix rpc_portmap_getport() proto not set

From: Ian Kent <raven@themaw.net>

Recent changes to fix libtirpc usage problems when getting a server
exports list cause later server probing to fail.

When getting an exports list a new rpc client is always created for
the query, which includes setting the protocol in the parameters
structure. But when probing availability the client is reused where
possible and the protocol is not set in the parameters structure in
this case.

The rpc_portmap_getport() changes require that the protocol is set
in oder to function.
---
 CHANGELOG      |    1 +
 lib/rpc_subs.c |    2 ++
 2 files changed, 3 insertions(+)

diff --git a/CHANGELOG b/CHANGELOG
index f151d35..5d134bc 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -9,6 +9,7 @@
 - fix ipv6 link local address handling.
 - fix fix ipv6 libtirpc getport.
 - get_nfs_info() should query portmapper if port is not given.
+- fix rpc_portmap_getport() proto not set.
 
 17/10/2013 autofs-5.0.8
 =======================
diff --git a/lib/rpc_subs.c b/lib/rpc_subs.c
index cfb63d2..7c99ea8 100644
--- a/lib/rpc_subs.c
+++ b/lib/rpc_subs.c
@@ -877,6 +877,8 @@ int rpc_portmap_getport(struct conn_info *info,
 
 	memset(&pmap_info, 0, sizeof(struct conn_info));
 
+	pmap_info.proto = proto;
+
 	if (proto == IPPROTO_TCP)
 		pmap_info.timeout.tv_sec = PMAP_TOUT_TCP;
 	else
